Subject: bug#38754: closed (Re: [bug#38754] [PATCH 2/2] scripts: lint: Set the %link-checker-store-connection parameter.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Mar 2020 19:51:02 +0000

Your bug report

#38754: [PATCH 0/2] Speed up the derivation linter.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38754: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38754
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38754] [PATCH 2/2] scripts: lint: Set the %link-checker-store-connection parameter.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Mar 2020 19:50:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> I've finally got around to looking at this again. I've sent some new
>> patches which add a field to the <lint-checker> record, and adjust the
>> running of lint checkers as well as the derivation checker to use a
>> single store connection.
>>
>> Let me know what you think?
>
> LGTM, thank you!

Great, I've pushed this to master now as
57e12aad6dfc2d12567164144dd15161e66f32d5.

Subject: [PATCH 0/2] Speed up the derivation linter.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Thu, 26 Dec 2019 17:33:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches speed up the derivation linter by reducing the number of
times a connection to the guix-daemon is established. In testing on my
computer, the time to lint all guix packages with the derivation linter
drops from around 6 minutes to around 3 minutes.

Christopher Baines (2):
  guix: lint: Add an optional parameter for a store connection.
  scripts: lint: Set the %link-checker-store-connection parameter.

 guix/lint.scm         | 42 ++++++++++++++++++++++++++----------------
 guix/scripts/lint.scm | 22 +++++++++++++---------
 2 files changed, 39 insertions(+), 25 deletions(-)